diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index c2ba7d7..e3e48a6 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -144050,12 +144050,13 @@ TranscendentalIntegration(F, UP): Exports == Implementation where
     logprmderiv(f, derivation) == differentiate(f, derivation) / f
 
     UP2UP2 p ==
-      map(#1::UP, p)$UnivariatePolynomialCategoryFunctions2(F, UP, UP, UP2)
+      map(x+->x::UP, p)$UnivariatePolynomialCategoryFunctions2(F, UP, UP, UP2)
 
     UP2UPR p ==
-      map(#1::UP::RF, p)$UnivariatePolynomialCategoryFunctions2(F, UP, RF, UPR)
+      map(x+->x::UP::RF,p)$UnivariatePolynomialCategoryFunctions2(F,UP,RF,UPR)
 
-    UP22UPR p == map(#1::RF, p)$SparseUnivariatePolynomialFunctions2(UP, RF)
+    UP22UPR p == 
+      map(x+->x::RF, p)$SparseUnivariatePolynomialFunctions2(UP, RF)
 
 -- given p in k[z] and a derivation on k[t] returns the coefficient lifting
 -- in k[z] of the restriction of D to k.
@@ -144074,18 +144075,18 @@ TranscendentalIntegration(F, UP): Exports == Implementation where
       iden  := denom(r.logpart)
       x := monomial(1, 1)$UP
       resultvec := subresultantVector(UP2UP2 inum -
-                                 (x::UP2) * UP2UP2 derivation iden, UP2UP2 iden)
+                               (x::UP2) * UP2UP2 derivation iden, UP2UP2 iden)
       respoly := primitivePart leadingCoefficient resultvec 0
-      rec := splitSquarefree(respoly, kappa(#1, derivation))
+      rec := splitSquarefree(respoly, x1 +-> kappa(x1, derivation))
       logs:List(LOG) := [
-              [1, UP2UPR(term.factor),
-               UP22UPR swap primitivePart(resultvec(term.exponent),term.factor)]
+            [1, UP2UPR(term.factor),
+             UP22UPR swap primitivePart(resultvec(term.exponent),term.factor)]
                      for term in factors(rec.special)]
       dlog :=
 --           one? derivation x => r.logpart
            ((derivation x) = 1) => r.logpart
            differentiate(mkAnswer(0, logs, empty()),
-                         differentiate(#1, derivation))
+                         (x1:RF):RF +-> differentiate(x1, derivation))
       (u := retractIfCan(p := r.logpart - dlog)@Union(UP, "failed")) case UP =>
         [mkAnswer(r.answer, logs, empty), r.specpart, r.polypart + u::UP]
       [mkAnswer(r.answer, logs, [[p, dummy]]), r.specpart, r.polypart]
@@ -144229,7 +144230,7 @@ TranscendentalIntegration(F, UP): Exports == Implementation where
       degree numer f >= degree denom f => error "Not a proper fraction"
       r := HermiteIntegrate(f, derivation)
       zero?(r.logpart) => [r.answer, empty()]
-      (u := limitedLogs(r.logpart, logprmderiv(#1, derivation), lu))
+      (u := limitedLogs(r.logpart, x1 +-> logprmderiv(x1, derivation), lu))
         case "failed" => "failed"
       [r.answer, u::LLG]
 
@@ -144243,7 +144244,7 @@ TranscendentalIntegration(F, UP): Exports == Implementation where
       r  := HermiteIntegrate(f, derivation)
       zero?(r.logpart) => [r.answer, empty()]
       eta' := coefficient(derivation monomial(1, 1), 1)
-      (u := limitedLogs(r.logpart, logexpderiv(#1,derivation,eta'), lu))
+      (u := limitedLogs(r.logpart, x1 +-> logexpderiv(x1,derivation,eta'), lu))
         case "failed" => "failed"
       [r.answer - eta'::UP *
         +/[((degree numer(v.logand))::Z - (degree denom(v.logand))::Z) *
@@ -144292,12 +144293,12 @@ TranscendentalIntegration(F, UP): Exports == Implementation where
         [i1 + mkAnswer(r.answer::RF, empty(),
                        [[r.polypart::RF + rec.specpart, dummy]$NE]), 0]
       logs:List(LOG) :=
-         zero? c => empty()
-         [[1, monomial(1,1)$UPR - (c/(2::F))::UP::RF::UPR, (1 + t**2)::RF::UPR]]
+        zero? c => empty()
+        [[1, monomial(1,1)$UPR - (c/(2::F))::UP::RF::UPR, (1 + t**2)::RF::UPR]]
       c0 := coefficient(r.polypart, 0)
-      (u := tanintegratespecial(rec.specpart, differentiate(#1, derivation),
+      (u := tanintegratespecial(rec.specpart, x+->differentiate(x, derivation),
        FRDE)) case RFRF =>
-        [i1 + mkAnswer(r.answer::RF + u.elem, logs, [[u.notelem,dummy]$NE]), c0]
+        [i1+mkAnswer(r.answer::RF + u.elem, logs, [[u.notelem,dummy]$NE]), c0]
       [i1 + mkAnswer(r.answer::RF + u.answer, logs, empty()), u.a0 + c0]
 
 -- returns either (v in RF, c in RF) s.t. f = v' + cg, and c' = 0
diff --git a/changelog b/changelog
index 2b6e569..1c2b8eb 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090623 tpd src/axiom-website/patches.html 20090623.02.tpd.patch
+20090623 tpd books/bookvol10.4 INTTR +-> conversion
 20090623 tpd src/axiom-website/patches.html 20090623.01.tpd.patch
 20090623 tpd books/bookvol10.4 DRAWCFUN +-> conversion
 20090622 tpd src/axiom-website/patches.html 20090622.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 70450ac..31318f1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1647,5 +1647,7 @@ bookvol10.4 TABLBUMP, UTSSOL +-> conversion<br/>
 bookvol10.4 DRAWCURV +-> conversion<br/>
 <a href="patches/20090623.01.tpd.patch">20090623.01.tpd.patch</a>
 bookvol10.4 DRAWCFUN +-> conversion<br/>
+<a href="patches/20090623.02.tpd.patch">20090623.02.tpd.patch</a>
+bookvol10.4 INTTR +-> conversion<br/>
  </body>
 </html>
